import Vue from "vue"
let prototype = Vue.prototype;

export default {
    /**
     * 添加到购物车
     */
    add(id) {
        return new Promise((resolve, reject) => {
            prototype.$request({
                api: "order.cart.add",
                data: {
                    id: id,
                }
            }).then((response) => {
                prototype.$utils.toast(response.msg);
                if (response.code == 1) {
                    return resolve(response.msg);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    },
    /**
     * 列表
     */
    list() {
        return new Promise((resolve, reject) => {
            prototype.$request({
                api: "order.cart.list",
            }).then(response => {
                if (response.code == 1) {
                    return resolve(response.data);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    }
}
